Skip to main content
GET
/
flows
/
{org}
List flows
curl --request GET \
  --url https://app.kosli.com/api/v2/flows/{org} \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "description": "<string>",
    "visibility": "public",
    "org": "<string>",
    "template": "<unknown>",
    "repo_url": "<string>",
    "tags": null
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

search_by_name
string | null

Return flows that contain the given string in their name. Only alphanumeric characters and '-' are allowed.

case_sensitive
boolean
default:true

Whether the search_by_name filter is case sensitive. Defaults to true.

Response

200 - application/json

Successful Response

name
string
required
description
string
required
visibility
enum<string>
required
Available options:
public,
private
org
string
required
template
any
required
repo_url
tags
unknown
Last modified on April 7, 2026